function [xpart]=resampleRough(w,xpartminus,N)
% N1:basic sample size
if nargin ==2
  N = length(w);
end
M = length(w);
Q = cumsum(w);
T = linspace(0,1-1/N,N) + rand(1)/N;
T(N+1) = 1;
xpart=xpartminus;
i=1;
j=1;
E = max(xpartminus')' - min(xpartminus')';
sigma = 0.2 * E * N^(-1); %-1/length(x)

while (i<=N && j<=M),
    while Q(j)<T(i)
        j=j+1;
    end
    xpart(:,i) = xpartminus(:,j) + sigma .* randn(size(xpart,1),1);
    i=i+1;
end